Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past
Class ContentHashPastContentHandle

    java.lang.Object
      rice.p2p.past.ContentHashPastContentHandle

All Implemented Interfaces:
  java.io.Serializable, PastContentHandle, RawPastContentHandle

    public class ContentHashPastContentHandle

extends java.lang.Object
implements RawPastContentHandle

Version:
  $Id: ContentHashPastContentHandle.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Peter Druschel
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Constructor Summary
`ContentHashPastContentHandle(InputBuffer buf, Endpoint endpoint)`
`ContentHashPastContentHandle(NodeHandle nh, Id id)` Constructor

Method Summary
`Id` | `getId()` Returns the id of the PastContent object associated with this handle
`NodeHandle` | `getNodeHandle()` Returns the NodeHandle of the Past node on which the object associated with this handle is stored
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### ContentHashPastContentHandle

    public ContentHashPastContentHandle(NodeHandle nh,
                                        Id id)

  Constructor

  Parameters:
    `nh` - The handle of the node which holds the object
    `id` - key identifying the object to be inserted

### ContentHashPastContentHandle

    public ContentHashPastContentHandle(InputBuffer buf,
                                        Endpoint endpoint)
                                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getId

    public Id getId()

  Returns the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Returns the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContentHandle`
  Throws:
    `java.io.IOException`

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawPastContentHandle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.